<?php

namespace App|C;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Preload' => '\\App|C\\StructType\\Preload',
            'PreloadMessageRequest' => '\\App|C\\StructType\\PreloadMessageRequest',
            'MessageRequest' => '\\App|C\\StructType\\MessageRequest',
            'MessageContext' => '\\App|C\\StructType\\MessageContext',
            'MessageReferer' => '\\App|C\\StructType\\MessageReferer',
            'ArrayOfMessageIdentity' => '\\App|C\\ArrayType\\ArrayOfMessageIdentity',
            'MessageIdentity' => '\\App|C\\StructType\\MessageIdentity',
            'PreloadResponse' => '\\App|C\\StructType\\PreloadResponse',
            'PreloadMessageResponse' => '\\App|C\\StructType\\PreloadMessageResponse',
            'MessageResponse' => '\\App|C\\StructType\\MessageResponse',
            'MessageReponseWarning' => '\\App|C\\StructType\\MessageReponseWarning',
            'Ping' => '\\App|C\\StructType\\Ping',
            'PingResponse' => '\\App|C\\StructType\\PingResponse',
            'AuthenticateCredentials' => '\\App|C\\StructType\\AuthenticateCredentials',
            'AuthenticateCredentialsResponse' => '\\App|C\\StructType\\AuthenticateCredentialsResponse',
            'SaleConfiguration' => '\\App|C\\StructType\\SaleConfiguration',
            'SaleConfigurationResponse' => '\\App|C\\StructType\\SaleConfigurationResponse',
            'GetValueCodeList' => '\\App|C\\StructType\\GetValueCodeList',
            'GetValueCodeListResponse' => '\\App|C\\StructType\\GetValueCodeListResponse',
            'GetValueCodes' => '\\App|C\\StructType\\GetValueCodes',
            'GetValueCodesResponse' => '\\App|C\\StructType\\GetValueCodesResponse',
            'EligibleOriginDestinations' => '\\App|C\\StructType\\EligibleOriginDestinations',
            'EligibleOriginDestinationsResponse' => '\\App|C\\StructType\\EligibleOriginDestinationsResponse',
            'Calendar' => '\\App|C\\StructType\\Calendar',
            'CalendarResponse' => '\\App|C\\StructType\\CalendarResponse',
            'SearchFlights' => '\\App|C\\StructType\\SearchFlights',
            'SearchFlightsResponse' => '\\App|C\\StructType\\SearchFlightsResponse',
            'PrepareFlights' => '\\App|C\\StructType\\PrepareFlights',
            'PrepareFlightsResponse' => '\\App|C\\StructType\\PrepareFlightsResponse',
            'CreateBooking' => '\\App|C\\StructType\\CreateBooking',
            'CreateBookingResponse' => '\\App|C\\StructType\\CreateBookingResponse',
            'LoadBooking' => '\\App|C\\StructType\\LoadBooking',
            'LoadBookingResponse' => '\\App|C\\StructType\\LoadBookingResponse',
            'SearchBooking' => '\\App|C\\StructType\\SearchBooking',
            'SearchBookingResponse' => '\\App|C\\StructType\\SearchBookingResponse',
            'CreateTicket' => '\\App|C\\StructType\\CreateTicket',
            'CreateTicketResponse' => '\\App|C\\StructType\\CreateTicketResponse',
            'SendTicketConfirmation' => '\\App|C\\StructType\\SendTicketConfirmation',
            'SendTicketConfirmationResponse' => '\\App|C\\StructType\\SendTicketConfirmationResponse',
            'LoadMCOTickets' => '\\App|C\\StructType\\LoadMCOTickets',
            'LoadMCOTicketsResponse' => '\\App|C\\StructType\\LoadMCOTicketsResponse',
            'PrepareBookingModification' => '\\App|C\\StructType\\PrepareBookingModification',
            'PrepareBookingModificationResponse' => '\\App|C\\StructType\\PrepareBookingModificationResponse',
            'ModifyBooking' => '\\App|C\\StructType\\ModifyBooking',
            'ModifyBookingResponse' => '\\App|C\\StructType\\ModifyBookingResponse',
            'SearchFlightsForExchange' => '\\App|C\\StructType\\SearchFlightsForExchange',
            'SearchFlightsForExchangeResponse' => '\\App|C\\StructType\\SearchFlightsForExchangeResponse',
            'PrepareExchange' => '\\App|C\\StructType\\PrepareExchange',
            'PrepareExchangeResponse' => '\\App|C\\StructType\\PrepareExchangeResponse',
            'Exchange' => '\\App|C\\StructType\\Exchange',
            'ExchangeResponse' => '\\App|C\\StructType\\ExchangeResponse',
            'CancelPendingExchange' => '\\App|C\\StructType\\CancelPendingExchange',
            'CancelPendingExchangeResponse' => '\\App|C\\StructType\\CancelPendingExchangeResponse',
            'SearchFlightsForAdditionalItinerary' => '\\App|C\\StructType\\SearchFlightsForAdditionalItinerary',
            'SearchFlightsForAdditionalItineraryResponse' => '\\App|C\\StructType\\SearchFlightsForAdditionalItineraryResponse',
            'PrepareAdditionalItinerary' => '\\App|C\\StructType\\PrepareAdditionalItinerary',
            'PrepareAdditionalItineraryResponse' => '\\App|C\\StructType\\PrepareAdditionalItineraryResponse',
            'AddItinerary' => '\\App|C\\StructType\\AddItinerary',
            'AddItineraryResponse' => '\\App|C\\StructType\\AddItineraryResponse',
            'PrepareCheckin' => '\\App|C\\StructType\\PrepareCheckin',
            'PrepareCheckinResponse' => '\\App|C\\StructType\\PrepareCheckinResponse',
            'Checkin' => '\\App|C\\StructType\\Checkin',
            'CheckinResponse' => '\\App|C\\StructType\\CheckinResponse',
            'Uncheck' => '\\App|C\\StructType\\Uncheck',
            'UncheckResponse' => '\\App|C\\StructType\\UncheckResponse',
            'LoadCustomer' => '\\App|C\\StructType\\LoadCustomer',
            'LoadCustomerResponse' => '\\App|C\\StructType\\LoadCustomerResponse',
            'NewCustomer' => '\\App|C\\StructType\\NewCustomer',
            'NewCustomerResponse' => '\\App|C\\StructType\\NewCustomerResponse',
            'UpdateCustomer' => '\\App|C\\StructType\\UpdateCustomer',
            'UpdateCustomerResponse' => '\\App|C\\StructType\\UpdateCustomerResponse',
            'LostCustomerPassword' => '\\App|C\\StructType\\LostCustomerPassword',
            'LostCustomerPasswordResponse' => '\\App|C\\StructType\\LostCustomerPasswordResponse',
            'ChangeCustomerPassword' => '\\App|C\\StructType\\ChangeCustomerPassword',
            'ChangeCustomerPasswordResponse' => '\\App|C\\StructType\\ChangeCustomerPasswordResponse',
            'LoadFrequentFlyerAccount' => '\\App|C\\StructType\\LoadFrequentFlyerAccount',
            'LoadFrequentFlyerAccountResponse' => '\\App|C\\StructType\\LoadFrequentFlyerAccountResponse',
            'ActivateFrequentFlyerAccount' => '\\App|C\\StructType\\ActivateFrequentFlyerAccount',
            'ActivateFrequentFlyerAccountResponse' => '\\App|C\\StructType\\ActivateFrequentFlyerAccountResponse',
            'FrequentFlyerMileageCalculator' => '\\App|C\\StructType\\FrequentFlyerMileageCalculator',
            'FrequentFlyerMileageCalculatorResponse' => '\\App|C\\StructType\\FrequentFlyerMileageCalculatorResponse',
            'EventMap' => '\\App|C\\StructType\\EventMap',
            'EventMapResponse' => '\\App|C\\StructType\\EventMapResponse',
            'PrepareCancel' => '\\App|C\\StructType\\PrepareCancel',
            'PrepareCancelResponse' => '\\App|C\\StructType\\PrepareCancelResponse',
            'Cancel' => '\\App|C\\StructType\\Cancel',
            'CancelResponse' => '\\App|C\\StructType\\CancelResponse',
            'FlownCoupons' => '\\App|C\\StructType\\FlownCoupons',
            'FlownCouponsResponse' => '\\App|C\\StructType\\FlownCouponsResponse',
            'TTIExceptionDetail' => '\\App|C\\StructType\\TTIExceptionDetail',
            'ArrayOfTTIExceptionDetailData' => '\\App|C\\ArrayType\\ArrayOfTTIExceptionDetailData',
            'TTIExceptionDetailData' => '\\App|C\\StructType\\TTIExceptionDetailData',
            'PingRequest' => '\\App|C\\StructType\\PingRequest',
            'AbstractRequest' => '\\App|C\\StructType\\AbstractRequest',
            'AbstractResponse' => '\\App|C\\StructType\\AbstractResponse',
            'AuthenticateCredentialsRequest' => '\\App|C\\StructType\\AuthenticateCredentialsRequest',
            'SaleConfigurationRequest' => '\\App|C\\StructType\\SaleConfigurationRequest',
            'GetValueCodeListRequest' => '\\App|C\\StructType\\GetValueCodeListRequest',
            'GetValueCodesRequest' => '\\App|C\\StructType\\GetValueCodesRequest',
            'EligibleOriginDestinationsRequest' => '\\App|C\\StructType\\EligibleOriginDestinationsRequest',
            'CalendarRequest' => '\\App|C\\StructType\\CalendarRequest',
            'SearchFlightsRequest' => '\\App|C\\StructType\\SearchFlightsRequest',
            'PrepareFlightsRequest' => '\\App|C\\StructType\\PrepareFlightsRequest',
            'CreateBookingRequest' => '\\App|C\\StructType\\CreateBookingRequest',
            'LoadBookingRequest' => '\\App|C\\StructType\\LoadBookingRequest',
            'SearchBookingRequest' => '\\App|C\\StructType\\SearchBookingRequest',
            'CreateTicketRequest' => '\\App|C\\StructType\\CreateTicketRequest',
            'SendTicketConfirmationRequest' => '\\App|C\\StructType\\SendTicketConfirmationRequest',
            'LoadMCOTicketsRequest' => '\\App|C\\StructType\\LoadMCOTicketsRequest',
            'PrepareBookingModificationRequest' => '\\App|C\\StructType\\PrepareBookingModificationRequest',
            'ModifyBookingRequest' => '\\App|C\\StructType\\ModifyBookingRequest',
            'SearchFlightsForExchangeRequest' => '\\App|C\\StructType\\SearchFlightsForExchangeRequest',
            'PrepareExchangeRequest' => '\\App|C\\StructType\\PrepareExchangeRequest',
            'ExchangeRequest' => '\\App|C\\StructType\\ExchangeRequest',
            'CancelPendingExchangeRequest' => '\\App|C\\StructType\\CancelPendingExchangeRequest',
            'SearchFlightsForAdditionalItineraryRequest' => '\\App|C\\StructType\\SearchFlightsForAdditionalItineraryRequest',
            'PrepareAdditionalItineraryRequest' => '\\App|C\\StructType\\PrepareAdditionalItineraryRequest',
            'AddItineraryRequest' => '\\App|C\\StructType\\AddItineraryRequest',
            'PrepareCheckinRequest' => '\\App|C\\StructType\\PrepareCheckinRequest',
            'CheckinRequest' => '\\App|C\\StructType\\CheckinRequest',
            'UncheckRequest' => '\\App|C\\StructType\\UncheckRequest',
            'LoadCustomerRequest' => '\\App|C\\StructType\\LoadCustomerRequest',
            'NewCustomerRequest' => '\\App|C\\StructType\\NewCustomerRequest',
            'UpdateCustomerRequest' => '\\App|C\\StructType\\UpdateCustomerRequest',
            'LostCustomerPasswordRequest' => '\\App|C\\StructType\\LostCustomerPasswordRequest',
            'ChangeCustomerPasswordRequest' => '\\App|C\\StructType\\ChangeCustomerPasswordRequest',
            'LoadFrequentFlyerAccountRequest' => '\\App|C\\StructType\\LoadFrequentFlyerAccountRequest',
            'ActivateFrequentFlyerAccountRequest' => '\\App|C\\StructType\\ActivateFrequentFlyerAccountRequest',
            'FrequentFlyerMileageCalculatorRequest' => '\\App|C\\StructType\\FrequentFlyerMileageCalculatorRequest',
            'EventMapRequest' => '\\App|C\\StructType\\EventMapRequest',
            'PrepareCancelRequest' => '\\App|C\\StructType\\PrepareCancelRequest',
            'CancelRequest' => '\\App|C\\StructType\\CancelRequest',
            'FlownCouponsRequest' => '\\App|C\\StructType\\FlownCouponsRequest',
            'ApiObject' => '\\App|C\\StructType\\ApiObject',
            'XElementList' => '\\App|C\\StructType\\XElementList',
            'Extension' => '\\App|C\\StructType\\Extension',
            'RequestInfo' => '\\App|C\\StructType\\RequestInfo',
            'ResponseInfo' => '\\App|C\\StructType\\ResponseInfo',
            'ApiError' => '\\App|C\\StructType\\ApiError',
            'Notification' => '\\App|C\\StructType\\Notification',
            'ArrayOfApiWarning' => '\\App|C\\ArrayType\\ArrayOfApiWarning',
            'ApiWarning' => '\\App|C\\StructType\\ApiWarning',
            'ArrayOfValueCode' => '\\App|C\\ArrayType\\ArrayOfValueCode',
            'ValueCode' => '\\App|C\\StructType\\ValueCode',
            'ArrayOfValueCodeProperty' => '\\App|C\\ArrayType\\ArrayOfValueCodeProperty',
            'ValueCodeProperty' => '\\App|C\\StructType\\ValueCodeProperty',
            'ArrayOfFormOfPaymentConfig' => '\\App|C\\ArrayType\\ArrayOfFormOfPaymentConfig',
            'FormOfPaymentConfig' => '\\App|C\\StructType\\FormOfPaymentConfig',
            'Fop' => '\\App|C\\StructType\\Fop',
            'FormOfPaymentBankTransferInfo' => '\\App|C\\StructType\\FormOfPaymentBankTransferInfo',
            'FormOfPaymentBankInfo' => '\\App|C\\StructType\\FormOfPaymentBankInfo',
            'FormOfPaymentCheckInfo' => '\\App|C\\StructType\\FormOfPaymentCheckInfo',
            'FormOfPaymentMCOInfo' => '\\App|C\\StructType\\FormOfPaymentMCOInfo',
            'FormOfPaymentMiscInfo' => '\\App|C\\StructType\\FormOfPaymentMiscInfo',
            'FormOfPaymentRedirectInfo' => '\\App|C\\StructType\\FormOfPaymentRedirectInfo',
            'FormOfPaymentSecureCardInfo' => '\\App|C\\StructType\\FormOfPaymentSecureCardInfo',
            'FormOfPaymentUnsecureCardInfo' => '\\App|C\\StructType\\FormOfPaymentUnsecureCardInfo',
            'OnlinePaymentInfo' => '\\App|C\\StructType\\OnlinePaymentInfo',
            'ETTicketTarget' => '\\App|C\\StructType\\ETTicketTarget',
            'ElectronicDocument' => '\\App|C\\StructType\\ElectronicDocument',
            'TicketInfo' => '\\App|C\\StructType\\TicketInfo',
            'ArrayOfEMDTicket' => '\\App|C\\ArrayType\\ArrayOfEMDTicket',
            'EMDTicket' => '\\App|C\\StructType\\EMDTicket',
            'AbstractTicket' => '\\App|C\\StructType\\AbstractTicket',
            'EMDTicketIataInfo' => '\\App|C\\StructType\\EMDTicketIataInfo',
            'ArrayOfETTicket' => '\\App|C\\ArrayType\\ArrayOfETTicket',
            'ETTicket' => '\\App|C\\StructType\\ETTicket',
            'ArrayOfETCoupon' => '\\App|C\\ArrayType\\ArrayOfETCoupon',
            'ETCoupon' => '\\App|C\\StructType\\ETCoupon',
            'FinalStatusInfo' => '\\App|C\\StructType\\FinalStatusInfo',
            'SegmentSold' => '\\App|C\\StructType\\SegmentSold',
            'ETTicketDetails' => '\\App|C\\StructType\\ETTicketDetails',
            'IFTIssuanceInfo' => '\\App|C\\StructType\\IFTIssuanceInfo',
            'ORGIssuanceInfo' => '\\App|C\\StructType\\ORGIssuanceInfo',
            'ArrayOfFop' => '\\App|C\\ArrayType\\ArrayOfFop',
            'FormOfPaymentRedirectResult' => '\\App|C\\StructType\\FormOfPaymentRedirectResult',
            'CustomerMCOReference' => '\\App|C\\StructType\\CustomerMCOReference',
            'PnrMCOReference' => '\\App|C\\StructType\\PnrMCOReference',
            'ArrayOfMCOTicket' => '\\App|C\\ArrayType\\ArrayOfMCOTicket',
            'MCOTicket' => '\\App|C\\StructType\\MCOTicket',
            'ArrayOfETTicketTarget' => '\\App|C\\ArrayType\\ArrayOfETTicketTarget',
            'ArrayOfETCouponFlown' => '\\App|C\\ArrayType\\ArrayOfETCouponFlown',
            'ETCouponFlown' => '\\App|C\\StructType\\ETCouponFlown',
            'ArrayOfstring' => '\\App|C\\ArrayType\\ArrayOfstring',
            'ArrayOfint' => '\\App|C\\ArrayType\\ArrayOfint',
            'ArrayOfOriginDestinationTree' => '\\App|C\\ArrayType\\ArrayOfOriginDestinationTree',
            'OriginDestinationTree' => '\\App|C\\StructType\\OriginDestinationTree',
            'RefundConfig' => '\\App|C\\StructType\\RefundConfig',
            'ArrayOfWebClassFilter' => '\\App|C\\ArrayType\\ArrayOfWebClassFilter',
            'WebClassFilter' => '\\App|C\\StructType\\WebClassFilter',
            'OfferOut' => '\\App|C\\StructType\\OfferOut',
            'OfferRef' => '\\App|C\\StructType\\OfferRef',
            'OfferIn' => '\\App|C\\StructType\\OfferIn',
            'Booking' => '\\App|C\\StructType\\Booking',
            'MiscInfo' => '\\App|C\\StructType\\MiscInfo',
            'CancelInfo' => '\\App|C\\StructType\\CancelInfo',
            'ArrayOfExchangeableOriginDestination' => '\\App|C\\ArrayType\\ArrayOfExchangeableOriginDestination',
            'ExchangeableOriginDestination' => '\\App|C\\StructType\\ExchangeableOriginDestination',
            'RefundRequestInfo' => '\\App|C\\StructType\\RefundRequestInfo',
            'UniqueID' => '\\App|C\\StructType\\UniqueID',
            'ArrayOfBookingSummary' => '\\App|C\\ArrayType\\ArrayOfBookingSummary',
            'BookingSummary' => '\\App|C\\StructType\\BookingSummary',
            'EventInfo' => '\\App|C\\StructType\\EventInfo',
            'CancelSettings' => '\\App|C\\StructType\\CancelSettings',
            'CancelSegmentSettings' => '\\App|C\\StructType\\CancelSegmentSettings',
            'RefundRequestSettings' => '\\App|C\\StructType\\RefundRequestSettings',
            'RefundSettings' => '\\App|C\\StructType\\RefundSettings',
            'ArrayOfFrequentFlyerLevel' => '\\App|C\\ArrayType\\ArrayOfFrequentFlyerLevel',
            'FrequentFlyerLevel' => '\\App|C\\StructType\\FrequentFlyerLevel',
            'CustomerDocument' => '\\App|C\\StructType\\CustomerDocument',
            'CustomerPublicReference' => '\\App|C\\StructType\\CustomerPublicReference',
            'CustomerPrivateReference' => '\\App|C\\StructType\\CustomerPrivateReference',
            'Customer' => '\\App|C\\StructType\\Customer',
            'ArrayOfCustomerAddress' => '\\App|C\\ArrayType\\ArrayOfCustomerAddress',
            'CustomerAddress' => '\\App|C\\StructType\\CustomerAddress',
            'ArrayOfCustomerDocument' => '\\App|C\\ArrayType\\ArrayOfCustomerDocument',
            'ArrayOfCustomerEmail' => '\\App|C\\ArrayType\\ArrayOfCustomerEmail',
            'CustomerEmail' => '\\App|C\\StructType\\CustomerEmail',
            'ArrayOfCustomerPhone' => '\\App|C\\ArrayType\\ArrayOfCustomerPhone',
            'CustomerPhone' => '\\App|C\\StructType\\CustomerPhone',
            'FrequentFlyerAccount' => '\\App|C\\StructType\\FrequentFlyerAccount',
            'ArrayOfFrequentFlyerOperation' => '\\App|C\\ArrayType\\ArrayOfFrequentFlyerOperation',
            'FrequentFlyerOperation' => '\\App|C\\StructType\\FrequentFlyerOperation',
            'ArrayOfFrequentFlyerAward' => '\\App|C\\ArrayType\\ArrayOfFrequentFlyerAward',
            'FrequentFlyerAward' => '\\App|C\\StructType\\FrequentFlyerAward',
            'ArrayOfOriginDestination' => '\\App|C\\ArrayType\\ArrayOfOriginDestination',
            'OriginDestination' => '\\App|C\\StructType\\OriginDestination',
            'CityPair' => '\\App|C\\StructType\\CityPair',
            'ArrayOfOriginDestinationCalendarQuery' => '\\App|C\\ArrayType\\ArrayOfOriginDestinationCalendarQuery',
            'OriginDestinationCalendarQuery' => '\\App|C\\StructType\\OriginDestinationCalendarQuery',
            'ArrayOfOriginDestinationCalendarResult' => '\\App|C\\ArrayType\\ArrayOfOriginDestinationCalendarResult',
            'OriginDestinationCalendarResult' => '\\App|C\\StructType\\OriginDestinationCalendarResult',
            'ArrayOfCalendarDay' => '\\App|C\\ArrayType\\ArrayOfCalendarDay',
            'CalendarDay' => '\\App|C\\StructType\\CalendarDay',
            'AvailabilitySettings' => '\\App|C\\StructType\\AvailabilitySettings',
            'ArrayOfPassenger' => '\\App|C\\ArrayType\\ArrayOfPassenger',
            'Passenger' => '\\App|C\\StructType\\Passenger',
            'NameElement' => '\\App|C\\StructType\\NameElement',
            'ArrayOfSegmentOption' => '\\App|C\\ArrayType\\ArrayOfSegmentOption',
            'SegmentOption' => '\\App|C\\StructType\\SegmentOption',
            'SegmentRef' => '\\App|C\\StructType\\SegmentRef',
            'Segment' => '\\App|C\\StructType\\Segment',
            'FlightInfo' => '\\App|C\\StructType\\FlightInfo',
            'ArrayOfStop' => '\\App|C\\ArrayType\\ArrayOfStop',
            'Stop' => '\\App|C\\StructType\\Stop',
            'SegmentBooking' => '\\App|C\\StructType\\SegmentBooking',
            'BookingClass' => '\\App|C\\StructType\\BookingClass',
            'ArrayOfBookingClass' => '\\App|C\\ArrayType\\ArrayOfBookingClass',
            'ArrayOfSegmentBooking' => '\\App|C\\ArrayType\\ArrayOfSegmentBooking',
            'ArrayOfSpecialService' => '\\App|C\\ArrayType\\ArrayOfSpecialService',
            'SpecialService' => '\\App|C\\StructType\\SpecialService',
            'SpecialServiceReference' => '\\App|C\\StructType\\SpecialServiceReference',
            'SpecialServiceData' => '\\App|C\\StructType\\SpecialServiceData',
            'SpecialServiceDataPassengerType' => '\\App|C\\StructType\\SpecialServiceDataPassengerType',
            'SpecialServiceDataPnrBillingInformation' => '\\App|C\\StructType\\SpecialServiceDataPnrBillingInformation',
            'SpecialServiceDataDoca' => '\\App|C\\StructType\\SpecialServiceDataDoca',
            'SpecialServiceDataDoco' => '\\App|C\\StructType\\SpecialServiceDataDoco',
            'SpecialServiceDataDocs' => '\\App|C\\StructType\\SpecialServiceDataDocs',
            'ArrayOfDocument' => '\\App|C\\ArrayType\\ArrayOfDocument',
            'Document' => '\\App|C\\StructType\\Document',
            'SpecialServiceDataFoid' => '\\App|C\\StructType\\SpecialServiceDataFoid',
            'SpecialServiceDataPnrEmergencyContact' => '\\App|C\\StructType\\SpecialServiceDataPnrEmergencyContact',
            'SpecialServiceDataFqtv' => '\\App|C\\StructType\\SpecialServiceDataFqtv',
            'SpecialServiceDataPnrContact' => '\\App|C\\StructType\\SpecialServiceDataPnrContact',
            'SpecialServiceDataSeat' => '\\App|C\\StructType\\SpecialServiceDataSeat',
            'ArrayOfSeatMap' => '\\App|C\\ArrayType\\ArrayOfSeatMap',
            'SeatMap' => '\\App|C\\StructType\\SeatMap',
            'ArrayOfSeatDeck' => '\\App|C\\ArrayType\\ArrayOfSeatDeck',
            'SeatDeck' => '\\App|C\\StructType\\SeatDeck',
            'ArrayOfSeatArea' => '\\App|C\\ArrayType\\ArrayOfSeatArea',
            'SeatArea' => '\\App|C\\StructType\\SeatArea',
            'ArrayOfSeatRow' => '\\App|C\\ArrayType\\ArrayOfSeatRow',
            'SeatRow' => '\\App|C\\StructType\\SeatRow',
            'ArrayOfSeatColumn' => '\\App|C\\ArrayType\\ArrayOfSeatColumn',
            'SeatColumn' => '\\App|C\\StructType\\SeatColumn',
            'ArrayOfSeat' => '\\App|C\\ArrayType\\ArrayOfSeat',
            'Seat' => '\\App|C\\StructType\\Seat',
            'PassengerNameRecord' => '\\App|C\\StructType\\PassengerNameRecord',
            'PassengerNameRecordInformation' => '\\App|C\\StructType\\PassengerNameRecordInformation',
            'InvalidDataErrors' => '\\App|C\\StructType\\InvalidDataErrors',
            'ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2' => '\\App|C\\ArrayType\\ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2',
            'InvalidDataErrorOfEMDTicketFare48VTEFp2' => '\\App|C\\StructType\\InvalidDataErrorOfEMDTicketFare48VTEFp2',
            'ArrayOfInvalidDataError' => '\\App|C\\ArrayType\\ArrayOfInvalidDataError',
            'InvalidDataError' => '\\App|C\\StructType\\InvalidDataError',
            'ArrayOfInvalidDataErrorOfPassenger3z8kf8ER' => '\\App|C\\ArrayType\\ArrayOfInvalidDataErrorOfPassenger3z8kf8ER',
            'InvalidDataErrorOfPassenger3z8kf8ER' => '\\App|C\\StructType\\InvalidDataErrorOfPassenger3z8kf8ER',
            'ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER' => '\\App|C\\ArrayType\\ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER',
            'InvalidDataErrorOfSpecialService3z8kf8ER' => '\\App|C\\StructType\\InvalidDataErrorOfSpecialService3z8kf8ER',
            'Verification' => '\\App|C\\StructType\\Verification',
            'ArrayOfSpecialServiceReference' => '\\App|C\\ArrayType\\ArrayOfSpecialServiceReference',
            'FareDisplaySettings' => '\\App|C\\StructType\\FareDisplaySettings',
            'FareDisplayBaseSettings' => '\\App|C\\StructType\\FareDisplayBaseSettings',
            'ArrayOfFareLevelRange' => '\\App|C\\ArrayType\\ArrayOfFareLevelRange',
            'FareLevelRange' => '\\App|C\\StructType\\FareLevelRange',
            'FareInfoOptions' => '\\App|C\\StructType\\FareInfoOptions',
            'FareInfo' => '\\App|C\\StructType\\FareInfo',
            'FareInfoBase' => '\\App|C\\StructType\\FareInfoBase',
            'ArrayOfETTicketFare' => '\\App|C\\ArrayType\\ArrayOfETTicketFare',
            'ETTicketFare' => '\\App|C\\StructType\\ETTicketFare',
            'AbstractTicketFare' => '\\App|C\\StructType\\AbstractTicketFare',
            'AbstractFareOfTicketAmountDetails48VTEFp2' => '\\App|C\\StructType\\AbstractFareOfTicketAmountDetails48VTEFp2',
            'TicketAmountDetails' => '\\App|C\\StructType\\TicketAmountDetails',
            'AmountDetails' => '\\App|C\\StructType\\AmountDetails',
            'Amount' => '\\App|C\\StructType\\Amount',
            'AmountSummary' => '\\App|C\\StructType\\AmountSummary',
            'AmountBase' => '\\App|C\\StructType\\AmountBase',
            'CurrencyRates' => '\\App|C\\StructType\\CurrencyRates',
            'ArrayOfOriginDestinationFare' => '\\App|C\\ArrayType\\ArrayOfOriginDestinationFare',
            'OriginDestinationFare' => '\\App|C\\StructType\\OriginDestinationFare',
            'ArrayOfETCouponFare' => '\\App|C\\ArrayType\\ArrayOfETCouponFare',
            'ETCouponFare' => '\\App|C\\StructType\\ETCouponFare',
            'AbstractFareOfAmountDetails48VTEFp2' => '\\App|C\\StructType\\AbstractFareOfAmountDetails48VTEFp2',
            'ArrayOfBagAllowance' => '\\App|C\\ArrayType\\ArrayOfBagAllowance',
            'BagAllowance' => '\\App|C\\StructType\\BagAllowance',
            'ArrayOfCouponTax' => '\\App|C\\ArrayType\\ArrayOfCouponTax',
            'CouponTax' => '\\App|C\\StructType\\CouponTax',
            'TicketTax' => '\\App|C\\StructType\\TicketTax',
            'TaxDetails' => '\\App|C\\StructType\\TaxDetails',
            'ArrayOfTicketTax' => '\\App|C\\ArrayType\\ArrayOfTicketTax',
            'FareInfoEMD' => '\\App|C\\StructType\\FareInfoEMD',
            'ArrayOfEMDTicketFare' => '\\App|C\\ArrayType\\ArrayOfEMDTicketFare',
            'EMDTicketFare' => '\\App|C\\StructType\\EMDTicketFare',
            'EMDAbstractTicketFare' => '\\App|C\\StructType\\EMDAbstractTicketFare',
            'FareInfoBooking' => '\\App|C\\StructType\\FareInfoBooking',
            'FareInfoPrepare' => '\\App|C\\StructType\\FareInfoPrepare',
            'ArrayOfEMDTicketFareOption' => '\\App|C\\ArrayType\\ArrayOfEMDTicketFareOption',
            'EMDTicketFareOption' => '\\App|C\\StructType\\EMDTicketFareOption',
            'ArrayOfFareRule' => '\\App|C\\ArrayType\\ArrayOfFareRule',
            'FareRule' => '\\App|C\\StructType\\FareRule',
            'FareRuleDetails' => '\\App|C\\StructType\\FareRuleDetails',
            'ArrayOfPenalty' => '\\App|C\\ArrayType\\ArrayOfPenalty',
            'Penalty' => '\\App|C\\StructType\\Penalty',
            'FareConditionText' => '\\App|C\\StructType\\FareConditionText',
            'ArrayOfFareConditionText' => '\\App|C\\ArrayType\\ArrayOfFareConditionText',
            'ArrayOfItinerary' => '\\App|C\\ArrayType\\ArrayOfItinerary',
            'Itinerary' => '\\App|C\\StructType\\Itinerary',
            'ArrayOfAirOriginDestination' => '\\App|C\\ArrayType\\ArrayOfAirOriginDestination',
            'AirOriginDestination' => '\\App|C\\StructType\\AirOriginDestination',
            'ArrayOfAirCoupon' => '\\App|C\\ArrayType\\ArrayOfAirCoupon',
            'AirCoupon' => '\\App|C\\StructType\\AirCoupon',
            'ArrayOfETTicketFareTarget' => '\\App|C\\ArrayType\\ArrayOfETTicketFareTarget',
            'ETTicketFareTarget' => '\\App|C\\StructType\\ETTicketFareTarget',
            'FareInfoCancel' => '\\App|C\\StructType\\FareInfoCancel',
            'ArrayOfElectronicDocumentToCancel' => '\\App|C\\ArrayType\\ArrayOfElectronicDocumentToCancel',
            'ElectronicDocumentToCancel' => '\\App|C\\StructType\\ElectronicDocumentToCancel',
            'ArrayOfBoardingPassInfo' => '\\App|C\\ArrayType\\ArrayOfBoardingPassInfo',
            'BoardingPassInfo' => '\\App|C\\StructType\\BoardingPassInfo',
            'ArrayOfCheckinTarget' => '\\App|C\\ArrayType\\ArrayOfCheckinTarget',
            'CheckinTarget' => '\\App|C\\StructType\\CheckinTarget',
            'ArrayOfETTicketCheckin' => '\\App|C\\ArrayType\\ArrayOfETTicketCheckin',
            'ETTicketCheckin' => '\\App|C\\StructType\\ETTicketCheckin',
            'ArrayOfETCouponCheckin' => '\\App|C\\ArrayType\\ArrayOfETCouponCheckin',
            'ETCouponCheckin' => '\\App|C\\StructType\\ETCouponCheckin',
        );
    }
}
